/*
	File:		SoundHandler.h

	Contains:	xxx put contents here xxx

	Version:	xxx put version here xxx

	Copyright:	 1998-1999 by Apple Computer, Inc., all rights reserved.

	File Ownership:

		DRI:				xxx put dri here xxx

		Other Contact:		xxx put other contact here xxx

		Technology:			xxx put technology here xxx

	Writers:

		(cjd)	Chris De Salvo
		(cjd)	Chris DeSalvo

	Change History (most recent first):

	   <SP7>	 1/21/99	cjd		Removing 68K build code
		 <6>	  7/1/98	cjd		Added SSp CPU load variables
*/

//	------------------------------------------------------------------------------------------	
//
//	Copyright  1996 Apple Computer, Inc., All Rights Reserved
//
//
//		You may incorporate this sample code into your applications without
//		restriction, though the sample code has been provided "AS IS" and the
//		responsibility for its operation is 100% yours.  However, what you are
//		not permitted to do is to redistribute the source as "DSC Sample Code"
//		after having made changes. If you're going to re-distribute the source,
//		we require that you make it clear in the source that the code was
//		descended from Apple Sample Code, but that you've made changes.
//
//		Authors:
//			Chris De Salvo
//
//	------------------------------------------------------------------------------------------	

#ifndef __SOUNDHANDLER__
#define __SOUNDHANDLER__

//	------------------------------	Includes
//	------------------------------	Public Definitions
//	------------------------------	Public Types

typedef enum GameSounds
{
	soundPlayerFire,
	soundPlayerHit,
	soundEnemyFire,
	soundEnemyHit,
	soundNumSounds
} GameSounds;

//	------------------------------	Public Variables

extern Boolean	gSoundEffects;

extern UInt32	gCPULoadModifier;
extern UInt32	gCPULoadMax;
extern UInt32	gCPUCurrentLoad;

//	------------------------------	Public Functions

#ifdef __cplusplus
extern "C" {
#endif

extern void SoundHandlerInit(void);
extern void SoundHandlerReset(void);
extern void SoundHandlerPlay(GameSounds theSound, SInt16 x, SInt16 y);

#ifdef __cplusplus
}
#endif

#endif